HPL_pdgesv0(3)

NAME
HPL_pdgesv0 - Factor an N x N+1 matrix.

SYNOPSIS
#include "hpl.h"

void HPL_pdgesv0( HPL_T_grid * GRID, HPL_T_palg * ALGO, HPL_T_pmat * A );

DESCRIPTION
HPL_pdgesv0 factors a N+1-by-N matrix using LU factorization with row partial pivoting. The main algorithm is the "right looking" variant without look-ahead. The lower triangular factor is left unpivoted and the pivots are not returned. The right hand side is the N+1 column of the coefficient matrix.

ARGUMENTS

GRID    (local input)           HPL_T_grid *
    On entry, GRID points to the data structure containing the process grid information.

ALGO    (global input)          HPL_T_palg *
    On entry, ALGO points to the data structure containing the algorithmic parameters.

A       (local input/output)    HPL_T_pmat *
    On entry, A points to the data structure containing the local array information.

SEE ALSO
HPL_pdgesv (3), HPL_pdgesvK1 (3), HPL_pdgesvK2 (3), HPL_pdfact (3), HPL_binit (3), HPL_bcast (3), HPL_bwait (3), HPL_pdupdateNN (3), HPL_pdupdateNT (3), HPL_pdupdateTN (3), HPL_pdupdateTT (3).